/* Defintions of functions for extrapolation, interpolation and fourier decomposition */

extern void extrapolate_vbs(struct vector *data, COMPLEX *alpha, COMPLEX *result);
extern void extrapolate_stb(struct vector *data, struct vector *h, COMPLEX *gamma, COMPLEX *result);
extern void interpolate_poly(struct vector *data, struct vector *h, COMPLEX *x, COMPLEX *result);
extern void lin_reg(struct vector *x, struct vector *y, COMPLEX *a, COMPLEX *b, COMPLEX *result);
extern void finite_fourier(struct vector *data, struct vector *si, struct vector *co, COMPLEX *result);
extern void complex_finite_fourier(struct vector *data, struct vector *four, COMPLEX *result);
