/* Defintions for Subroutines related to Z_n Quantum-Spin-chains */

/* Maximal number of arguments that can be processed by output_Nexpr() */

#define MAXARGOUT 200

/* Maximal number of files that can be opened for writing */

#define MAXOUT 100

extern void read_file(UBYTE *str, int output_flag);
extern void read_z4(UBYTE *ident, UBYTE *fname);
extern void read_z3p(UBYTE *ident, UBYTE *fname);
extern void write_table(UBYTE *fname);
extern void write_plot(UBYTE *fname);
extern void write_z3_plot(UBYTE *fname);
extern void write_P_plot(UBYTE *fname);
extern void output_plot(UBYTE *vec1, UBYTE *vec2, UBYTE *name);
extern void read_ind(UBYTE *vecn, UBYTE *name);
extern void read_vecs(UBYTE *vecx, UBYTE *vecy, UBYTE *name);
extern void output_close();
extern void output_Nexpr(int cnt, char *exprN[]);
