/* Functions for integration */

extern void integrate(UBYTE *kernel, UBYTE *var, COMPLEX *lbd, COMPLEX *ubd, int open_flag, int intticks, COMPLEX *result);
extern void integrate_extrapolate(UBYTE *kernel, UBYTE *var, COMPLEX *lbd, COMPLEX *ubd, int open_flag, int intticks, COMPLEX *result);
extern void integrate_cauchy(UBYTE *kernel, UBYTE *var, COMPLEX *z0, COMPLEX *rad, int intticks, COMPLEX *result);

/* Functions for differenciation */

extern void diff(UBYTE *kernel, UBYTE *var, COMPLEX *z0, COMPLEX *direc, int open_flag, int diffticks, COMPLEX *result);
extern void df(UBYTE *kernel, UBYTE *var, COMPLEX *z0, int diffticks, COMPLEX *result);

/* Functions for min- (maximization) */

#define PRECISION 1.0e-14

extern void minmaximize(UBYTE *kernel, UBYTE *var, COMPLEX *z0, COMPLEX *result, int flag);
