/* Definition of a Function */

struct function { struct function *next;
                  UBYTE *name;
                  UBYTE *argument;
                  UBYTE *definition;
                };

/* Maximal length of function definition */

#define FDEFLEN 3000

/* Functions working with functions */

extern void free_functions();
extern void define_function(UBYTE *fname, UBYTE *farg, UBYTE *fdef);
extern struct function *find_function(UBYTE *text);
extern void evaluate_function(struct function *f, COMPLEX *arg, COMPLEX *result);
extern void show_functions();
