/* Definitions for that program */
#include "useful.h"
#include "text.h"

/* *******************************************
   String-Verwaltung */

/* Zeichen in Kleinbuchstabe verwandeln */

UBYTE conv_to_lower(UBYTE c)
 {
   if((c >= 'A') && (c <= 'Z'))
     return(c + 'a' - 'A');
   return(c);
 }

/* Zwei Strings miteinander vergleichen */

int compare(UBYTE *a, UBYTE *b)
 {
   while(*a || *b)
    {
      if(conv_to_lower(*a++) != conv_to_lower(*b++))
           return(FALSE);
    }
   return(TRUE);
 }

/* Compare two TEXT strings ignoring cases */

int tcompare(UBYTE *a, UBYTE *b)
 {
   while(*a || *b)
    {
      if((*a++ | 0x20) != (*b++ | 0x20))
           return(FALSE);
    }
   return(TRUE);
 }
